# Method SDL.flip()

Method flip

  ``int` flip(`SDL.Surface`|`void` `screen`)`

Description

  On hardware that supports double-buffering, this function sets up a flip and returns. The hardware will wait for vertical retrace, and then swap video buffers before the next video surface blit or lock will return. On hardware that doesn't support double-buffering, this is equivalent to calling SDL.update_rect(screen, 0, 0, 0, 0)

  The `SDL.DOUBLEBUF` flag must have been passed to SDL.set_video_mode() when setting the video mode for this function to perform hardware flipping.

Parameter `screen`

  The screen object to flip. If missing, the default screen is used.

Returns

  This function returns 1 if successful, or 0 if there was an error.

See also

  SDL.update_rect()